curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/providers/apple/redirect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data code=4/0AVHEtk436ug4uWwZN9i2PDpxGTVnLr63IqTNFzTInHce1q2JHQyOCJut9IK2SCZh4JaoSA \
--data 'state=<string>' \
--data 'id_token=<string>' \
--data error=access_denied"<string>"Endpoint where an oauth provider would redirect after a successful user authorizing the oauth application.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/providers/apple/redirect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data code=4/0AVHEtk436ug4uWwZN9i2PDpxGTVnLr63IqTNFzTInHce1q2JHQyOCJut9IK2SCZh4JaoSA \
--data 'state=<string>' \
--data 'id_token=<string>' \
--data error=access_denied"<string>"Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Apple ID required stuff
Valid oauth code
^[a-zA-Z0-9_\.\-\/\\%*!+=]{5,1500}$"4/0AVHEtk436ug4uWwZN9i2PDpxGTVnLr63IqTNFzTInHce1q2JHQyOCJut9IK2SCZh4JaoSA"
^[a-zA-Z0-9 _.,:!?&%@\/-]*$^([a-zA-Z0-9_-]+)\.([a-zA-Z0-9_-]+)\.([a-zA-Z0-9_-]+)$Valid oauth error
^[a-zA-Z_\-]{5,100}$"access_denied"
Success
The response is of type string.
Was this page helpful?